Closed Bug 843158 Opened 7 years ago Closed 6 years ago

starwoodhotels.com doesn't recognize B2G UA as mobile

Categories

(Web Compatibility :: Mobile, defect)

ARM
Gonk (Firefox OS)
defect
Not set

Tracking

(Not tracked)

RESOLVED INVALID

People

(Reporter: lmandel, Assigned: karlcow)

References

()

Details

(Whiteboard: [uaoverride] [country-all] [sitewait][serversniff])

starwoodhotels.com serves a desktop site to B2G. Bug 823364 added an UA override for this domain. The override should be removed once the domain serves mobile content to B2G. This bug tracks the evangelism for the site to recognize the B2G UA and the removal of the override at that time.
Whiteboard: [uaoverride]
Ah yet another interesting case. So if the user agent string is not known it is being redirected to a Web site service extracting information for a more accessible information.

Firefox OS

HEAD / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.starwoodhotels.com
User-Agent: Mozilla/5.0 (Mobile; rv:18.0) Gecko/18.0 Firefox/18.0



HTTP/1.1 302 Moved Temporarily
Aka-DNS-Name: balance2-www.starwoodhotels.com.akadns.net
Cache-Control: no-cache="set-cookie, set-cookie2"
Connection: keep-alive
Content-Language: en-US
Date: Tue, 30 Jul 2013 13:11:53 GMT
Expires: Thu, 01 Dec 1994 16:00:00 GMT
HostName: phxewfpws03.ssd.star
Location: http://assistive.usablenet.com/tt/www.starwoodhotels.com/preferredguest/index.html
Set-Cookie: TLTHID=9A54C13AF91910F93246BFA5EDE55BAA; Path=/
Set-Cookie: TLTSID=9A54C13AF91910F93246BFA5EDE55BAA; Path=/
Set-Cookie: JSESSIONID=0000H09AQ8Sl_g3L9mYrrvQ3TQD:16jpvqgur; Path=/


On the device with UA override, ZTE gets the same experience than Firefox for Android and iOS, which is the desktop site. There is no specific mobile site it seems.


On the other hand Firefox for Android is working

HEAD / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.starwoodhotels.com
User-Agent: Mozilla/5.0 (Android; Mobile; rv:18.0) Gecko/18.0 Firefox/18.0



HTTP/1.1 200 OK
Aka-DNS-Name: balance2-www.starwoodhotels.com.akadns.net
Cache-Control: no-cache
Connection: keep-alive
Content-Encoding: gzip
Content-Language: en-US
Content-Length: 20
Content-Type: text/html; charset=UTF-8
Date: Tue, 30 Jul 2013 13:13:46 GMT
Expires: Thu, 01 Jan 1970 00:00:00 GMT
HostName: phxewfpws04.ssd.star
Pragma: no-cache
Set-Cookie: TLTHID=DD7BA4E2F91910F9F880D38F28A33B86; Path=/
Set-Cookie: TLTSID=DD7BA4E2F91910F9F880D38F28A33B86; Path=/
Set-Cookie: JSESSIONID=0000guG38VHbLWU1N8vkuG9pMzI:16jpvoit4; Path=/
Set-Cookie: list_view=G; Expires=Wed, 30 Jul 2014 13:13:45 GMT; Path=/
Set-Cookie: list_view=G; Expires=Wed, 30 Jul 2014 13:13:45 GMT; Path=/
Set-Cookie: corp_view=guest; Expires=Wed, 30 Jul 2014 13:13:45 GMT; Path=/
Vary: accept-encoding
Whiteboard: [uaoverride] → [uaoverride] [country-all]
Contacted today through http://www.starwoodhotels.com/corporate/support/contact/index.html
Assignee: nobody → kdubost
Whiteboard: [uaoverride] [country-all] → [uaoverride] [country-all] [sitewait]
Whiteboard: [uaoverride] [country-all] [sitewait] → [uaoverride] [country-all] [sitewait][serversniff]
Status: NEW → ASSIGNED
* Firefox      OS        low end content
* Firefox      Android   desktop content
* Opera Mobile Android   desktop content
* StockBrowser Android   desktop content
* iPhone 3     iOS       desktop content

Is there a mobile browser receiving an actual mobile content outside of choosing it manually. I'm inclined to close this bug as invalid.
Closing as Invalid. as per previous comment. The UA Override is also useless. So I will remove it on Bug 932040
Status: ASSIGNED → RESOLVED
Closed: 6 years ago
Resolution: --- → INVALID
Blocks: 932040
Product: Tech Evangelism → Web Compatibility
You need to log in before you can comment on or make changes to this bug.